//
//  main.swift
//  ArcTestProject
//
//  Created by Jon Hoffman on 6/30/17.
//  Copyright © 2017 Jon Hoffman. All rights reserved.
//

import Foundation

print("Witaj, świecie!")

var class1ref1: MyClass? = MyClass(name: "Jeden")
var class2ref1: MyClass? = MyClass(name: "Dwa")
var class2ref2: MyClass? = class2ref1

print("Przypisanie egzemplarzowi class1ref1 wartości nil")
class1ref1 = nil

print("Przypisanie egzemplarzowi class2ref1 wartości nil")
class2ref1 = nil

print("Przypisanie egzemplarzowi class2ref2 wartości nil")
class2ref2 = nil
